diff --git a/pkg/pip/setup_pip.py b/pkg/pip/setup_pip.py
index 07467b86..286731de 100644
--- a/pkg/pip/setup_pip.py
+++ b/pkg/pip/setup_pip.py
@@ -34,9 +34,12 @@ with open(req_file, 'r') as reqf:
 
 # Remove any requirements with environment specifiers. These
 # must be explicitly listed in extras_require below.
-for req in required:
-    if ";" in req:
+for index, req in enumerate(required):
+    if ";" in req or req.startswith("#") or req == "":
         required.remove(req)
+    if "psycopg2" in req:
+        required[index] = req.replace("psycopg2", "psycopg2-binary")
+    print("Requirement: {}".format(required[index]))
 
 # Get the app version
 modl = imp.load_source('APP_VERSION', '../web/config.py')
